From 93f1c36647c60eeaaa4e4b92ab469fdd373b13c6 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 25 2020 05:16:25 +0000
Subject: [PATCH 1513/2232] Remove redundant array type recursive check calls


---

diff --git a/syntax/check.rs b/syntax/check.rs
index 0c694c6..630288a 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -192,10 +192,7 @@ fn check_type_array(cx: &mut Check, ty: &Array) {
                 cx.error(ty, "Only shared structs are supported in array yet");
             }
         }
-        Type::RustBox(ty1) => check_type_box(cx, ty1),
-        Type::RustVec(ty1) => check_type_rust_vec(cx, ty1),
-        Type::CxxVector(ty1) => check_type_cxx_vector(cx, ty1),
-        Type::UniquePtr(ty1) => check_type_unique_ptr(cx, ty1),
+        Type::RustBox(_) | Type::RustVec(_) | Type::CxxVector(_) | Type::UniquePtr(_) => {}
         _ => cx.error(ty, "unsupported array target type"),
     };
 }

